Index: tools/merge-to-branch.sh |
diff --git a/tools/merge-to-branch.sh b/tools/merge-to-branch.sh |
index 2df24c1ad57c5c7f85f9a0496f7fe036828a38ee..175567e97fed58a7fd18207300ee1e7d628feb03 100755 |
--- a/tools/merge-to-branch.sh |
+++ b/tools/merge-to-branch.sh |
@@ -243,7 +243,9 @@ if [ $START_STEP -le $CURRENT_STEP ] ; then |
git checkout $BRANCHNAME \ |
|| die "cannot ensure that the current branch is $BRANCHNAME" |
wait_for_lgtm |
- PRESUBMIT_TREE_CHECK="skip" git cl dcommit \ |
+ PRESUBMIT_TREE_CHECK="skip" git cl presubmit \ |
+ || die "presubmit failed" |
+ PRESUBMIT_TREE_CHECK="skip" git cl dcommit --bypass-hooks \ |
|| die "failed to commit to $MERGE_TO_BRANCH" |
fi |